Bug Hunting Session
Bug 67584 - Other: Writer: Wrong Flip menu items and icons
Summary: Other: Writer: Wrong Flip menu items and icons
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other Linux (All)
: lowest trivial
Assignee: Joel Madero
URL:
Whiteboard: BSA target:4.2.0 target:4.1.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-07-31 13:37 UTC by Stanislav Horacek
Modified: 2013-09-04 07:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of the menu (21.74 KB, image/png)
2013-07-31 13:37 UTC, Stanislav Horacek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Horacek 2013-07-31 13:37:42 UTC
Created attachment 83364 [details]
screenshot of the menu

Problem description: 

Steps to reproduce:
1. In Writer, choose Format - Flip.

Current behavior:
You see "Flip Horizontally" and "Flip Horizontally" items and icons with horizontal and vertical arrowed line.

Expected behavior:
You should see "Flip Vertically" and "Flip Horizontally" items and icons with vertical and horizontal arrowed line.

              
Operating System: Ubuntu
Version: 4.1.0.4 release
Last worked in: 4.0.2.2 release
Comment 1 Joel Madero 2013-08-01 19:03:21 UTC
Ah - there is the other one - confirmed and taking it
Comment 2 Commit Notification 2013-08-14 05:55:54 UTC
Joel Madero committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9ead65397ea4b6d4bcc66cf304653bb71e14c9c

fdo#67584 - Incorrect Flip Labels



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Stanislav Horacek 2013-08-15 13:46:39 UTC
Checked in master (Build ID: 1e379e3c9aa62c6cf46c32175d5e8c9d4f4bca09):

Labels are OK now, but - could it be "Flip Vertically" and "Flip Horizontally" instead of "Flip horizontal"?

The icons are still swapped.
Comment 4 Joel Madero 2013-08-27 13:30:17 UTC
I'm not sure if we actually pushed the fix here - I made a mistake with the icons and need to revisit it. Will try to investigate
Comment 5 Stanislav Horacek 2013-08-29 20:53:39 UTC
To the icons: it depends on icon theme. Themes galaxy and hicontrast are right, all others have vertical and horizontal flip icon swapped.
Comment 6 Ivan Timofeev (retired) 2013-09-01 12:28:00 UTC
So, this is a regression from http://cgit.freedesktop.org/libreoffice/core/commit/?id=c991fb49aa174f300be0b978d89bc63e01e0aa2b

uno:FlipHorizontal was removed from WriterCommands.xcu, I guess uno:FlipVertical just need to be removed too. I will try that...

I've just swapped the icons - there was an old bug 42434.
Comment 7 Commit Notification 2013-09-01 16:33:36 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=65c85266ce1f8b12a33dfaa8efff365854f17dd5

fdo#67584: remove .uno:FlipVertical from WriterCommands.xcu



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Joel Madero 2013-09-01 17:10:51 UTC
Is this bug 100% fixed now? I thought my patch took care of most of it other than the minor label issue and I had sym links for icons -- which I was going to take care of. But if you've solved all of it I'll mark as FIXED
Comment 9 Ivan Timofeev (retired) 2013-09-01 17:18:49 UTC
Yes, but I usually delay closing until a fix is backported to release branches. :) The label is fixed here and the icons are fixed in bug 42434.
Comment 10 Commit Notification 2013-09-01 19:21:18 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d04e98d4ef8d15c9e8c76d0a61fd0aa45e75b1e8&h=libreoffice-4-1

fdo#67584: remove .uno:FlipVertical from WriterCommands.xcu


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Stanislav Horacek 2013-09-04 07:16:52 UTC
Checked in 4.1 (Build ID: aa9bef8271ed50a397c959ed53c91ee44b3dcb1) and master (Build ID: dda8877b989ebe330315e94523b983a6803e1372) - both labels and icons are OK; marking as verified. Thank you for solving this!